## `value_stack::push_key`

Push an `object` key onto the stack.

### Synopsis

    void
    push_key(
        string_view s);

### Description

This function notionally pops all of the characters currently on top of the stack, then pushes a `value` containing a key onto the stack formed by appending `s` to the removed characters.

### Exception Safety

Basic guarantee. Calls to `memory_resource::allocate` may throw.

### Parameters

Name | Description
--- | ---
`s` | The characters to append. This may be empty.

Edit this page